Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596119 - Possible corruption after block request merge
Summary: Possible corruption after block request merge
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: beta
: ---
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 11:13 UTC by Kevin Wolf
Modified: 2013-01-09 22:37 UTC (History)
5 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.66.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-02 09:23:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kevin Wolf 2010-05-26 11:13:45 UTC
Upstream has fixed two corruption bugs in multiwrite recently that need to backported. The upstream report was about crashes (on guest side) when trying to create a file system on images > 1 TB with virtio-blk.

Comment 5 juzhang 2010-06-02 09:21:51 UTC
Reproduced on qemu-kvm-0.12.1.2-2.62.el6
{"timestamp": {"seconds": 1275470571, "microseconds": 452025}, "event": "BLOCK_IO_ERROR", "data": {"device": "virtio1", "operation": "write", "action": "report"}}

Verified on qemu-kvm-0.12.1.2-2.68.el6

steps
1. create 1.2T qcow2 img
qemu-img create -f "qcow2" 1_2T.qcow2 1.2T
2. boot guest with 1_2T.qcow2 
/usr/libexec/qemu-kvm  -no-hpet -usbdevice tablet -rtc-td-hack -m 2G -smp 2 -drive file=/root/zhangjunyi/RHEL-Server-5.5-64-virtio.qcow2,if=virtio,boot=on,cache=none,werror=report,rerror=report -drive file=/root/zhangjunyi/1_2T.qcow2,if=virtio,cache=none,werror=report,rerror=report -net nic,vlan=0,macaddr=22:11:22:45:66:22,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu qemu64,+sse2 -balloon none -boot c -monitor stdio -vnc :10 -qmp tcp:0:4444,server,nowait
3. In guest
fdisk /dev/vdb
mkfs.ext3 /dev/vdb1

results:
No error in guest dmesg.

Comment 6 juzhang 2010-06-02 09:23:04 UTC
according to comment5,close this issue.


Note You need to log in before you can comment on or make changes to this bug.